<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.UI.Web.Workspace.Modules.ActionControl" Codebehind="ActionControl.ascx.cs" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\..\Modules\BlockHeader.ascx"%>
<TABLE class="ibn-stylebox" cellSpacing="0" cellPadding="0" width="100%" border="0" style="MARGIN-TOP:1px">
	<tr>
		<td>
			<ibn:blockheader id="secHeader" title="" runat="server"></ibn:blockheader>
		</td>
	</tr>
	<tr>
		<td>
			<asp:datagrid id="dgPendingUsers" Runat="server" PagerStyle-Mode="NumericPages" AutoGenerateColumns="False"
				AllowPaging="true" AllowSorting="False" CellSpacing="0" PageSize="10" PagerStyle-Visible="true"
				PagerStyle-HorizontalAlign="Right" Width="100%" GridLines="None" borderwidth="0px" cellpadding="2"
				ShowHeader="true" EnableViewState=False>
				<PagerStyle CssClass="text ibn-TPHeader" HorizontalAlign="Right"></PagerStyle>
				<columns>
					<asp:boundcolumn visible="false" datafield="ObjectId"></asp:boundcolumn>
					<asp:boundcolumn datafield="Title" ItemStyle-CssClass="ibn-vb2" HeaderStyle-CssClass="ibn-vh2"></asp:boundcolumn>
					<asp:boundcolumn datafield="Email" ItemStyle-CssClass="ibn-vb2" HeaderStyle-CssClass="ibn-vh2"></asp:boundcolumn>
					<asp:boundcolumn datafield="ActionView" headerstyle-width="25" itemstyle-width="25" ItemStyle-CssClass="ibn-vb2" HeaderStyle-CssClass="ibn-vh2"></asp:boundcolumn>
					<asp:boundcolumn datafield="ActionEdit" headerstyle-width="25" itemstyle-width="25" ItemStyle-CssClass="ibn-vb2" HeaderStyle-CssClass="ibn-vh2"></asp:boundcolumn>
				</columns>
			</asp:datagrid>
			
			<asp:datagrid id="dgIncident" Runat="server" PagerStyle-Mode="NumericPages" AutoGenerateColumns="False"
				AllowPaging="true" AllowSorting="False" CellSpacing="0" PageSize="10" PagerStyle-Visible="true"
				PagerStyle-HorizontalAlign="Right" Width="100%" GridLines="None" borderwidth="0px" cellpadding="2"
				ShowHeader="true" EnableViewState=False>
				<PagerStyle CssClass="text ibn-TPHeader" HorizontalAlign="Right"></PagerStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Title">
						<ItemStyle CssClass="ibn-vb2"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate>
							<%# Mediachase.UI.Web.Util.CommonHelper.GetIncidentTitle
								(
									(string)DataBinder.Eval(Container.DataItem, "Title"),
									(int)DataBinder.Eval(Container.DataItem, "IncidentId"),
									(int)DataBinder.Eval(Container.DataItem, "StateId"),
									(string)DataBinder.Eval(Container.DataItem, "StateName")
								)
							%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<ItemStyle CssClass="ibn-vb2" VerticalAlign="Top"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate>
							<%# Mediachase.UI.Web.Util.CommonHelper.GetUserStatus
								(
									(int)DataBinder.Eval(Container.DataItem, "CreatorId")
								)
							%>
							</a>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="CreationDate" ItemStyle-Width="100" ItemStyle-HorizontalAlign="left" DataFormatString="{0:d}"
						HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="ibn-vb2" HeaderStyle-CssClass="ibn-vh2"></asp:BoundColumn>
					<asp:BoundColumn DataField="StateName" Visible="False" ItemStyle-CssClass="ibn-vb2" HeaderStyle-CssClass="ibn-vh2"></asp:BoundColumn>
				</Columns>
			</asp:datagrid>
			
			<asp:DataGrid id="dgTaskToDo" Runat="server" PagerStyle-Mode="NumericPages" AutoGenerateColumns="False"
				AllowPaging="true" AllowSorting="False" CellSpacing="0" PageSize="10" PagerStyle-Visible="true"
				PagerStyle-HorizontalAlign="Right" Width="100%" GridLines="None" borderwidth="0px" cellpadding="2"
				ShowHeader="true" EnableViewState=False>
				<PagerStyle CssClass="text ibn-TPHeader" HorizontalAlign="Right"></PagerStyle>
				<Columns>
					<asp:BoundColumn DataField="ItemId" Visible="False"></asp:BoundColumn>
					<asp:TemplateColumn>
						<ItemStyle CssClass="ibn-vb2"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate>
							<%#
								Mediachase.UI.Web.Util.CommonHelper.GetTaskToDoLink 
								(
									(int)DataBinder.Eval(Container.DataItem, "ItemId"),
									(int)DataBinder.Eval(Container.DataItem, "IsToDo"),
									DataBinder.Eval(Container.DataItem, "Title").ToString(),
									(int)DataBinder.Eval(Container.DataItem, "StateId")
								)
							%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="FinishDate" ItemStyle-CssClass="ibn-vb2" HeaderStyle-CssClass="ibn-vh2" ItemStyle-Width="100" DataFormatString="{0:d}"></asp:BoundColumn>
				</Columns>
			</asp:DataGrid>
			
			<asp:datagrid id="dgMailIncidents" Runat="server" PagerStyle-Mode="NumericPages" AutoGenerateColumns="False"
				AllowPaging="true" AllowSorting="False" CellSpacing="0" PageSize="10" PagerStyle-Visible="true"
				PagerStyle-HorizontalAlign="Right" Width="100%" GridLines="None" borderwidth="0px" cellpadding="2"
				ShowHeader="true" EnableViewState=False>
				<PagerStyle CssClass="text ibn-TPHeader" HorizontalAlign="Right"></PagerStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Title">
						<ItemStyle CssClass="ibn-vb2"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate>
							<%# GetMailRequestTitle
								(
									(string)DataBinder.Eval(Container.DataItem, "Subject"),
									(int)DataBinder.Eval(Container.DataItem, "Pop3MailRequestId")
								)
							%>
							</a>
						</ItemTemplate>
					</asp:TemplateColumn>
					<ASP:TEMPLATECOLUMN HeaderText="Sender" SortExpression="Sender">
						<ItemStyle CssClass="ibn-vb2"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ITEMTEMPLATE>
							<%# GetSender
								(
									(string)DataBinder.Eval(Container.DataItem, "Sender")
								)
							%>
						</ITEMTEMPLATE>
					</ASP:TEMPLATECOLUMN>
					<asp:BoundColumn HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2" DataField="Received" ItemStyle-Width="100" ItemStyle-HorizontalAlign="left" DataFormatString="{0:d}"></asp:BoundColumn>
				</Columns>
			</asp:datagrid>
			
			<asp:DataGrid id="dgAssignments" Runat="server" PagerStyle-Mode="NumericPages" AutoGenerateColumns="False"
				AllowPaging="true" AllowSorting="False" CellSpacing="0" PageSize="10" PagerStyle-Visible="true"
				PagerStyle-HorizontalAlign="Right" Width="100%" GridLines="None" borderwidth="0px" cellpadding="2"
				ShowHeader="true" EnableViewState=False>
				<PagerStyle CssClass="text ibn-TPHeader" HorizontalAlign="Right"></PagerStyle>
				<Columns>
					<asp:BoundColumn DataField="ItemId" Visible="False"></asp:BoundColumn>
					<asp:TemplateColumn>
						<ItemStyle CssClass="ibn-vb2"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate> 
							<%#
								Mediachase.UI.Web.Util.CommonHelper.GetTaskToDoLink 
								(
									(int)DataBinder.Eval(Container.DataItem, "ItemId"),
									(int)DataBinder.Eval(Container.DataItem, "IsToDo"),
									DataBinder.Eval(Container.DataItem, "Title").ToString(),
									(int)DataBinder.Eval(Container.DataItem, "StateId")
								)
							%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<ItemStyle CssClass="ibn-vb2" VerticalAlign="Top"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate>
							<%# Mediachase.UI.Web.Util.CommonHelper.GetUserStatus
								(
									(int)DataBinder.Eval(Container.DataItem, "ManagerId")
								)
							%>
							</a>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2" DataField="FinishDate" ItemStyle-Width="100" DataFormatString="{0:d}"></asp:BoundColumn>
				</Columns>
			</asp:DataGrid>
			
			<asp:DataGrid id="dgPendingAssignments" Runat="server" PagerStyle-Mode="NumericPages" AutoGenerateColumns="False" 
				AllowPaging="true" AllowSorting="False" CellSpacing="0" PageSize="10" PagerStyle-Visible="true" 
				PagerStyle-HorizontalAlign="Right" Width="100%" GridLines="None" borderwidth="0px" cellpadding="2" 
				ShowHeader="true" EnableViewState=False>
				<PagerStyle CssClass="text ibn-TPHeader" HorizontalAlign="Right"></PagerStyle>
				<Columns>
					<asp:HyperLinkColumn HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2" DataNavigateUrlField="EventId" DataNavigateUrlFormatString="~/Events/EventView.aspx?EventId={0}" DataTextField="Title" HeaderText=""></asp:HyperLinkColumn>
					<asp:TemplateColumn>
						<ItemStyle CssClass="ibn-vb2" VerticalAlign="Top"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate>
							<%# Mediachase.UI.Web.Util.CommonHelper.GetUserStatus
								(
									(int)DataBinder.Eval(Container.DataItem, "ManagerId")
								)
							%>
							</a>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2" DataField="StartDate" HeaderText="" DataFormatString="{0:d}" ItemStyle-Width="100" HeaderStyle-Width="100"></asp:BoundColumn>
					<asp:BoundColumn HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2" DataField="FinishDate" HeaderText="" DataFormatString="{0:d}" ItemStyle-Width="100" HeaderStyle-Width="100"></asp:BoundColumn>
				</Columns>
			</asp:DataGrid>
			
			<asp:DataGrid id="dgNotAssigned" Runat="server" PagerStyle-Mode="NumericPages" AutoGenerateColumns="False"
				AllowPaging="true" AllowSorting="False" CellSpacing="0" PageSize="10" PagerStyle-Visible="true"
				PagerStyle-HorizontalAlign="Right" Width="100%" GridLines="None" borderwidth="0px" cellpadding="2"
				ShowHeader="true" EnableViewState=False>
				<PagerStyle CssClass="text ibn-TPHeader" HorizontalAlign="Right"></PagerStyle>
				<Columns>
					<asp:BoundColumn DataField="ItemId" Visible="False"></asp:BoundColumn>
					<asp:TemplateColumn>
						<ItemStyle CssClass="ibn-vb2"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate>
							<%#
								Mediachase.UI.Web.Util.CommonHelper.GetTaskToDoLink 
								(
									(int)DataBinder.Eval(Container.DataItem, "ItemId"),
									(int)DataBinder.Eval(Container.DataItem, "IsToDo"),
									DataBinder.Eval(Container.DataItem, "Title").ToString(),
									(int)DataBinder.Eval(Container.DataItem, "StateId")
									
								)
							%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2" DataField="FinishDate" ItemStyle-Width="100" DataFormatString="{0:d}"></asp:BoundColumn>
				</Columns>
			</asp:DataGrid>
			
			<asp:DataGrid id="dgIncPending" Runat="server" PagerStyle-Mode="NumericPages" AutoGenerateColumns="False" 
				AllowPaging="true" AllowSorting="False" CellSpacing="0" PageSize="10" PagerStyle-Visible="true" 
				PagerStyle-HorizontalAlign="Right" Width="100%" GridLines="None" borderwidth="0px" cellpadding="2" 
				ShowHeader="true" EnableViewState=False>
				<PagerStyle CssClass="text ibn-TPHeader" HorizontalAlign="Right"></PagerStyle>
				<Columns>
					<asp:HyperLinkColumn HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2" DataNavigateUrlField="IncidentId" DataNavigateUrlFormatString="~/Incidents/IncidentView.aspx?IncidentId={0}" DataTextField="Title" HeaderText=""></asp:HyperLinkColumn>
					<asp:TemplateColumn>
						<ItemStyle CssClass="ibn-vb2" VerticalAlign="Top"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate>
							<%# Mediachase.UI.Web.Util.CommonHelper.GetUserStatus
								(
									(int)DataBinder.Eval(Container.DataItem, "ManagerId")
								)
							%>
							</a>
						</ItemTemplate>
					</asp:TemplateColumn>
				</Columns>
			</asp:DataGrid>
			
			<asp:DataGrid id="dgPendTimeSheets" Runat="server" PagerStyle-Mode="NumericPages" AutoGenerateColumns="False"
				AllowPaging="true" AllowSorting="False" CellSpacing="0" PageSize="10" PagerStyle-Visible="true"
				PagerStyle-HorizontalAlign="Right" Width="100%" GridLines="None" borderwidth="0px" cellpadding="2"
				ShowHeader="true" EnableViewState=False>
				<PagerStyle CssClass="text ibn-TPHeader" HorizontalAlign="Right"></PagerStyle>
				<Columns>
					<asp:TemplateColumn>
						<ItemStyle CssClass="ibn-vb2"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate>
							<%# DataBinder.Eval(Container.DataItem, "ProjectTitle")%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<ItemStyle CssClass="ibn-vb2"></ItemStyle>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemTemplate>
							<%# DataBinder.Eval(Container.DataItem, "TimeSheetLink")%>
						</ItemTemplate>
					</asp:TemplateColumn>
				</Columns>
			</asp:DataGrid>
			
			<asp:DataGrid id="dgPrj" ShowHeader="true" cellpadding="2" borderwidth="0px" GridLines="None"
				Width="100%" PagerStyle-HorizontalAlign="Right" PagerStyle-Visible="true" PageSize="10" CellSpacing="0"
				AllowSorting="False" AllowPaging="true" AutoGenerateColumns="False" PagerStyle-Mode="NumericPages"
				Runat="server" EnableViewState="False">
				<HeaderStyle Height="20"></HeaderStyle>
				<PagerStyle CssClass="text ibn-TPHeader" HorizontalAlign="Right"></PagerStyle>
				<Columns>
					<asp:TemplateColumn>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemStyle CssClass="ibn-vb2"></ItemStyle>
						<ItemTemplate>
							<%# Mediachase.UI.Web.Util.CommonHelper.GetProjectStatus (
							(int)DataBinder.Eval(Container.DataItem, "ProjectId"),
							(string)DataBinder.Eval(Container.DataItem, "Title"),
							(int)DataBinder.Eval(Container.DataItem, "StatusId")
							)%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<HeaderStyle CssClass="ibn-vh2" Width="120"></HeaderStyle>
						<ItemStyle CssClass="ibn-vb2"></ItemStyle>
						<ItemTemplate>
							<table cellspacing="0" cellpadding="0" border="1" bordercolor="Black" border="0" style="font: 1;width:50;margin-top:5; border: solid 0 0;" align="left">
								<tr style="font: 1;">
									<td style="font: 1;background: #ffffff;"><img  border="0" src="../Layouts/images/point.gif" width='<%# DataBinder.Eval(Container.DataItem, "PercentCompleted")%>%' height="3"></td>
								</tr>
							</table>&nbsp;<%# DataBinder.Eval(Container.DataItem, "PercentCompleted")%>%
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemStyle CssClass="ibn-vb2" VerticalAlign="Top"></ItemStyle>
						<ItemTemplate>
							<%# GetRole(
								(bool)DataBinder.Eval(Container.DataItem,"IsTeamMember"),
								(bool)DataBinder.Eval(Container.DataItem,"IsSponsor"),
								(bool)DataBinder.Eval(Container.DataItem,"IsStakeHolder"),
								(bool)DataBinder.Eval(Container.DataItem,"IsManager"),
								(bool)DataBinder.Eval(Container.DataItem,"IsExecutiveManager"))
							%>
							</a>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
						<ItemStyle CssClass="ibn-vb2" VerticalAlign="Top"></ItemStyle>
						<ItemTemplate>
							<%# ((DateTime)DataBinder.Eval(Container.DataItem,"TargetFinishDate")).ToShortDateString() %>
						</ItemTemplate>
					</asp:TemplateColumn>
				</Columns>
			</asp:DataGrid>
		</td>
	</tr>
</table>