<%@ Reference Page="~/Admin/ChangePool.aspx" %>
<%@ Reference Control="~/Modules/TimeControl.ascx" %>
<%@ Reference Control="~/Modules/ResourceControl.ascx" %>
<%@ Reference Control="~/Modules/BlockHeaderLightWithMenu.ascx" %>
<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.UI.Web.Admin.Modules.EMailIssueBoxView" Codebehind="EMailIssueBoxView.ascx.cs" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\..\Modules\BlockHeader.ascx" %>
<%@ Register TagPrefix="ibn" TagName="BHLWM" src="..\..\Modules\BlockHeaderLightWithMenu.ascx" %>
<%@ register TagPrefix="mc" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<%@ Register TagPrefix="ibn" TagName="Time" src="..\..\Modules\TimeControl.ascx" %>
<script type="text/javascript">
	function OpenWindow(query,w,h,scroll)
		{
			var l = (screen.width - w) / 2;
			var t = (screen.height - h) / 2;
			
			winprops = 'resizable=1, height='+h+',width='+w+',top='+t+',left='+l;
			if (scroll) winprops+=',scrollbars=1';
			var f = window.open(query, "_blank", winprops);
		}
</script>
<TABLE class="ibn-stylebox2" cellSpacing="0" cellPadding="0" width="100%" border="0">
	<tr>
		<td><ibn:blockheader id="secHeader" runat="server" /></td>
	</tr>
	<tr>
		<td class="ibn-alternating ibn-navline">
			<table cellpadding="7" cellspacing="0" border="0" class="text">
				<tr>
					<td><b><%= LocRM.GetString("tName")%>:</b></td>
					<td><asp:TextBox ID="lblIssBoxName" Runat="server" Width="150px" CssClass="text"></asp:TextBox>
						<asp:RequiredFieldValidator Runat="server" ID="rfvName" ErrorMessage="*" Display="Dynamic" ControlToValidate="lblIssBoxName"></asp:RequiredFieldValidator>
					</td>
					<td><asp:CheckBox Runat="server" ID="cbIsDefault"></asp:CheckBox></td>
				</tr>
				<tr>
					<td><b><%= LocRM.GetString("tIdentMask")%>:</b></td>
					<td><asp:TextBox ID="tbMask" Runat="server" Width="150px" CssClass="text"></asp:TextBox>
						<asp:RequiredFieldValidator Runat="server" ID="rfvMask" ErrorMessage="*" Display="Dynamic" ControlToValidate="tbMask"></asp:RequiredFieldValidator>
						<asp:RegularExpressionValidator Runat="server" ID="revName" ErrorMessage="*" Display="Dynamic" ControlToValidate="tbMask" ValidationExpression="\w+"></asp:RegularExpressionValidator>
					</td>
					<td><asp:Label Runat="server" ID="lblDuplicate" ForeColor="Red"></asp:Label></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td style="padding: 5px">
			<table cellpadding="0" cellspacing="7" width="100%" border="0">
				<tr>
					<td width="50%" valign="top">
						<ibn:BHLWM id="bh1" runat="server"></ibn:BHLWM>
						<table class="ibn-stylebox-light ibn-propertysheet" cellSpacing="0" cellPadding="5" width="100%" border="0">
							<tr>
								<td align="right" width="40%"><b><%=LocRM.GetString("tManager")%>:</b></td>
								<td><asp:DropDownList ID="ddManager" Runat="server" Width="200px"></asp:DropDownList></td>
							</tr>
							<tr>
								<td style="padding-left:30px" colspan="2"><asp:CheckBox ID="cbAllowAddRes" Runat="server" CssClass="text"></asp:CheckBox></td>
							</tr>
							<tr>
								<td style="padding-left:30px" colspan="2"><asp:CheckBox ID="cbAllowAddToDo" Runat="server" CssClass="text"></asp:CheckBox></td>
							</tr>
							<tr id="trCalendar" runat="server">
								<td align="right" width="40%"><b><%=LocRM.GetString("tPrjCalendar")%>:</b></td>
								<td><asp:DropDownList ID="ddCalendar" Runat="server" Width="200px"></asp:DropDownList></td>
							</tr>
							<tr>
								<td align="right" width="40%"><b><%=LocRM.GetString("tExpDuration")%>:</b></td>
								<td>
									<table class="text">
										<tr>
											<td><ibn:Time id="ucDuration" Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ControlViewType="OnlyTime" ShowTime=HM TimeSpin="true" HourSpinMaxValue="999" ViewStartDate="True" runat="server" /></td>
											<td>&nbsp;hour(s)</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td align="right"><b><%=LocRM.GetString("tExpRespTime")%>:</b></td>
								<td>
									<table class="text">
										<tr>
											<td><ibn:Time id="ucResponseTime" Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ControlViewType="OnlyTime" ShowTime=HM TimeSpin="true" HourSpinMaxValue="999" ViewStartDate="True" runat="server" /></td>
											<td>&nbsp;hour(s)</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
						<ibn:BHLWM id="bh2" runat="server"></ibn:BHLWM>
						<table class="ibn-stylebox-light ibn-propertysheet" cellSpacing="0" cellPadding="5" width="100%" border="0">
							<tr>
								<td align="right"><b><%=LocRM.GetString("tResponsibleType")%>:</b></td>
								<td><asp:DropDownList ID="ddRespType" Runat="server" Width="200px" AutoPostBack="True"></asp:DropDownList></td>
							</tr>
							<tr id="trCustomUser" runat="server">
								<td align="right"><b><%=LocRM.GetString("tResponsible")%>:</b></td>
								<td><asp:DropDownList ID="ddResponsible" Runat="server" Width="200px"></asp:DropDownList></td>
							</tr>
							<tr>
								<td align="right" valign="top" style="padding-top:10px"><asp:Label ID="lblForResp" Runat="server" Font-Bold="true"></asp:Label></td>
								<td valign="top">
									<table cellpadding="3" cellspacing="0" border="0">
										<tr>
											<td width="202px" valign="top">
												<asp:Label ID="lblResponsible" Runat="server" CssClass="text"></asp:Label>
											</td>
											<td valign="top">
												<asp:Label CssClass="text" ID="lblChangeButton" Runat="server"></asp:Label>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td style="padding-left:30px" colspan="2"><asp:CheckBox ID="cbAllowToComeResp" Runat="server" CssClass="text"></asp:CheckBox></td>
							</tr>
							<tr>
								<td style="padding-left:30px" colspan="2"><asp:CheckBox ID="cbAllowToDeclineResp" Runat="server" CssClass="text"></asp:CheckBox></td>
							</tr>
							<tr>
								<td style="padding-left:30px" colspan="2"><asp:CheckBox ID="cbAllowToReassignResp" Runat="server" CssClass="text"></asp:CheckBox></td>
							</tr>
							<tr>
								<td style="padding-left:30px" colspan="2"><asp:CheckBox ID="cbReassignResp" Runat="server" CssClass="text"></asp:CheckBox></td>
							</tr>
						</table>
						<ibn:BHLWM id="bh3" runat="server"></ibn:BHLWM>
						<table class="ibn-stylebox-light ibn-propertysheet" cellSpacing="0" cellPadding="5" width="100%" border="0">
							<tr>
								<td style="padding-left:30px" colspan="2"><asp:CheckBox ID="cbAllowControl" Runat="server" CssClass="text" AutoPostBack="True"></asp:CheckBox></td>
							</tr>
							<tr id="trController1" runat="server">
								<td align="right" width="40%"><b><%=LocRM.GetString("tControllerType")%>:</b></td>
								<td><asp:DropDownList ID="ddContType" Runat="server" Width="200px" AutoPostBack="True"></asp:DropDownList></td>
							</tr>
							<tr id="trController" runat="server">
								<td align="right"><b><%=LocRM.GetString("tController")%>:</b></td>
								<td><asp:DropDownList ID="ddController" Runat="server" Width="200px"></asp:DropDownList></td>
							</tr>
						</table>
					</td>
					<td valign="top">
						<ibn:BHLWM id="bh5" runat="server"></ibn:BHLWM>
						<table class="ibn-stylebox-light ibn-propertysheet" cellSpacing="0" cellPadding="5" width="100%" border="0">
							<tr>
								<td align="right" width="40%"><b><%=LocRM.GetString("tExtType")%>:</b></td>
								<td><asp:DropDownList ID="ddExtActionType" Runat="server" Width="200px"></asp:DropDownList></td>
							</tr>
						</table>
						<ibn:BHLWM id="bh4" runat="server"></ibn:BHLWM>
						<table class="ibn-stylebox-light ibn-propertysheet" cellSpacing="0" cellPadding="5" width="100%" border="0">
							<tr>
								<td style="padding-left:30px" colspan="2" class="text">
									<asp:CheckBox Runat="server" ID="cbAllowAutoReply" CssClass = "text">
									</asp:CheckBox>
									<br>
									<div style="padding-left:25px; padding-top:3px">
									<%=LocRM.GetString("tAllowAutoReplyHint1")%>
									
									<asp:HyperLink Runat="server" ID="hlAllowAutoReplyMessageLink" NavigateUrl="../EditTemplate.aspx?Language=en-US&Template=Issue_Created|Resource" CssClass="text">
									</asp:HyperLink>
									
									<span class="text">
									<%=LocRM.GetString("tAllowAutoReplyHint2")%>
									</span>
									</div>
									<br>
									<asp:CheckBox Runat="server" ID="cbAllowAutoSigning" CssClass="text"></asp:CheckBox>
									<div style="padding-left:25px; padding-top:3px">
									<%=LocRM.GetString("tAllowMessageAutoSigningHint1")%>
									<asp:HyperLink Runat="server" ID="hlAllowAutoSigningLink"></asp:HyperLink>
									<span class="text">
									<%=LocRM.GetString("tAllowMessageAutoSigningHint2")%>
									</span>
									</div>
									<br>
									<asp:CheckBox AutoPostBack="True" ID="cbAllowEMail" Runat="server" CssClass="text">
									</asp:CheckBox>
									<div style="padding-left:25px; padding-top:3px;color:Red;" runat="server" id="divNoIntBox">
									<%=LocRM.GetString("tNoIntBox")%>
									</div>
								</td>
							</tr>
							<tr id="tr2" runat="server">
								<td align="right"><b><%=LocRM.GetString("tIntType")%>:</b></td>
								<td><asp:DropDownList ID="ddIntActionType" Runat="server" Width="200px"></asp:DropDownList></td>
							</tr>
							<tr id="tr3" runat="server">
								<td align="right" valign="top" style="padding-top:10px"><b><%=LocRM.GetString("tRecipients")%>:</b></td>
								<td valign="top">
									<table cellpadding="3" cellspacing="0" border="0">
										<tr>
											<td width="202px" valign="top"><asp:Label ID="lblRecipients" Runat="server" CssClass="text"></asp:Label></td>
											<td valign="top">
												<asp:Label CssClass="text" ID="lblChangeButton2" Runat="server"></asp:Label>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr valign="bottom">
					<td align="right" colspan="2">
						<mc:ImButton runat="server" class="text" ID="imbSave" style="width:105px"></mc:ImButton>&nbsp;
						<mc:ImButton runat="server" class="text" ID="imbCancel" style="width:105px" CausesValidation="false"></mc:ImButton>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<asp:Button id="btnRefresh" runat="server" CausesValidation="False" style="display:none;"></asp:Button>
<asp:Button id="btnRefresh2" runat="server" CausesValidation="False" style="display:none;"></asp:Button>