<%@ Control Language="c#" Inherits="Mediachase.UI.Web.Projects.Modules.WorksForManagers"
	Codebehind="WorksForManagers.ascx.cs" %>
<%@ Reference Control="~/Modules/PageViewMenu.ascx" %>
<%@ Reference Control="~/Modules/ObjectDropDown.ascx" %>
<%@ Reference Control="~/Common/Modules/LegendControl.ascx" %>
<%@ Register TagPrefix="dg" Namespace="Mediachase.UI.Web.Modules.DGExtension" Assembly="Mediachase.UI.Web" %>
<%@ Register TagPrefix="lst" Namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" Src="~/Modules/PageViewMenu.ascx" %>
<%@ Register TagPrefix="ibn" TagName="ObjectDD" src="~/Modules/ObjectDropDown.ascx" %>
<%@ Register TagPrefix="ibn" TagName="LegendControl" src="~/Common/Modules/LegendControl.ascx" %>
<script type="text/javascript">
	function ChangeOT(obj)
	{
		document.forms[0].<%=cbCalEntries.ClientID%>.checked = obj.checked;
		var objIss = document.forms[0].<%=cbIssues.ClientID%>;
		if(objIss)
			objIss.checked = obj.checked;
		document.forms[0].<%=cbDocs.ClientID%>.checked = obj.checked;
		var objTasks = document.forms[0].<%=cbTasks.ClientID%>;
		if(objTasks)
			objTasks.checked = obj.checked;
		document.forms[0].<%=cbToDo.ClientID%>.checked = obj.checked;
	}
</script>

<table class="ibn-stylebox text" style="margin-top: 0px" cellspacing="0" cellpadding="0"
	width="100%" border="0" runat="server" id="tblMain">
	<tr runat="server" id="trHeader">
		<td>
			<ibn:BlockHeader ID="secHeader" runat="server"></ibn:BlockHeader>
		</td>
	</tr>
	<tr>
		<td>
			<table runat="server" id="FilterTable" class="ibn-navline ibn-alternating" cellspacing="0"
				cellpadding="5" width="100%" border="0">
				<tr>
					<td width="250px" valign="top">
						<table class="text">
							<tr height="30px" id="trGroup" runat="server">
								<td class="text" width="100px"><%=LocRM.GetString("tGroup")%>:&nbsp;</td>
								<td width="200px">
									<lst:indenteddropdownlist id="ddGroups" AutoPostBack="True" runat="server" Width="190px"></lst:indenteddropdownlist>
								</td>
							</tr>
							<tr height="30px" id="trUser" runat="server">
								<td class="text"><%=LocRM.GetString("tUser")%>:</td>
								<td>
									<asp:DropDownList id="ddUser" runat="server" Width="190px"></asp:DropDownList>
								</td>
							</tr>
							<tr height="30px" id="trProject" runat="server">
								<td class="text"><%=LocRM.GetString("tProject")%>:</td>
								<td>
									<asp:DropDownList id="ddPrjs" runat="server" Width="190px"></asp:DropDownList>
								</td>
							</tr>
							<tr height="30px" id="trManager" runat="server">
								<td class="text"><%=LocRM.GetString("tManager")%>:</td>
								<td>
									<asp:DropDownList id="ddManager" runat="server" Width="190px"></asp:DropDownList>
								</td>
							</tr>
							<tr height="30px">
								<td class="text"><%=LocRM.GetString("Client")%>:</td>
								<td>
									<ibn:ObjectDD id="ucClient" ObjectTypes="21,22" runat="server" Width="190px"/>
								</td>
							</tr>
						</table>
					</td>
					<td width="180px" valign="top">
						<fieldset style="height:137px; margin-top:4">
							<legend class="text"><%=LocRM.GetString("State")%></legend>
							<table class="text" cellspacing="0" cellpadding="0" style="padding:4,0,0,4">
								<tr>
									<td><div style="margin-bottom:5"><%=LocRM.GetString("tShowCompleted")%>:</div>
										<asp:DropDownList id="ddCompleted" runat="server"	Width="160px"></asp:DropDownList>
									</td>
								</tr>
								<tr>
									<td><div style="margin-bottom:5"><%=LocRM.GetString("tActive")%>:</div>
										<asp:DropDownList id="ddShowActive" runat="server"	Width="160px"></asp:DropDownList>
									</td>
								</tr>
								<tr>
									<td><div style="margin-bottom:5"><%=LocRM.GetString("tShowUpcoming")%>:</div>
										<asp:DropDownList id="ddUpcoming" runat="server" Width="160px"></asp:DropDownList>
									</td>
								</tr>
							</table>
						</fieldset>
					</td>
					<td width="150px" valign="top" id="tdObjs" runat="server">
						<fieldset style="height:140px">
							<legend class="text"><asp:CheckBox ID="cbChkAll" onclick='javascript:ChangeOT(this)' Runat=server></asp:CheckBox></legend>
							<table class="text" cellspacing="0">
								<tr>
									<td><asp:CheckBox ID="cbCalEntries" Runat="server"></asp:CheckBox></td>
								</tr>
								<tr>
									<td><asp:CheckBox ID="cbIssues" Runat="server"></asp:CheckBox></td>
								</tr>
								<tr>
									<td><asp:CheckBox ID="cbDocs" Runat="server"></asp:CheckBox></td>
								</tr>
								<tr>
									<td><asp:CheckBox ID="cbTasks" Runat="server"></asp:CheckBox></td>
								</tr>
								<tr>
									<td><asp:CheckBox ID="cbToDo" Runat="server"></asp:CheckBox></td>
								</tr>
							</table>
						</fieldset>
					</td>
					<td height="100%">
						<table width="100%" height="100%" cellspacing="0" cellpadding="0" style="margin-top:-5">
							<tr>
								<td align="right" valign="top">
									<asp:LinkButton ID="lbHideFilter" Runat="server" CssClass="text"></asp:LinkButton>
								</td>
							</tr>
							<tr>
								<td valign="bottom" align="right">
									<nobr><asp:Button ID="btnApplyF" Runat="server" CssClass="text" Width="70px"></asp:Button>
									<asp:Button ID="btnResetF" Runat="server" CssClass="text" Width="70px"></asp:Button></nobr>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<table id="tblFilterInfo" runat="server" class="ibn-navline text" cellspacing="0"
				cellpadding="4" width="100%" border="0">
				<tr>
					<td valign="top" style="padding-bottom: 5">
						<table cellspacing="3" cellpadding="0" border="0" runat="server" id="tblFilterInfoSet"
							class="text">
						</table>
					</td>
					<td valign="bottom" align="right" height="100%">
						<table height="100%" cellspacing="0" cellpadding="0" style="margin-top: -5">
							<tr>
								<td valign="top" align="right">
									<asp:LinkButton ID="lbShowFilter" runat="server" CssClass="text"></asp:LinkButton>
								</td>
							</tr>
							<tr>
								<td valign="bottom" style="padding-top: 10px">
									<input class="text" id="btnVResetF" type="submit" runat="server" style="width: 120px"
										name="btnVResetF" />
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td>
			<dg:DataGridExtended ID="dgObjects" runat="server" Width="100%" AutoGenerateColumns="False"
				BorderWidth="0px" CellSpacing="0" GridLines="Horizontal" CellPadding="0" AllowSorting="True"
				PageSize="10" AllowPaging="True" EnableViewState="false" LayoutFixed="false">
				<Columns>
					<asp:BoundColumn Visible="False" DataField="ItemId"></asp:BoundColumn>
					<asp:BoundColumn Visible="False" DataField="StateId"></asp:BoundColumn>
					<asp:TemplateColumn>
						<itemstyle cssclass="ibn-vb4"></itemstyle>
						<headerstyle cssclass="ibn-vh4" width="20px"></headerstyle>
						<itemtemplate>
							<%# GetPriorityIcon
									(
										(int)DataBinder.Eval(Container.DataItem, "ItemType"),
										(int)DataBinder.Eval(Container.DataItem, "PriorityId"),
										DataBinder.Eval(Container.DataItem, "PriorityName").ToString()
									)
							%>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Title" SortExpression="Title">
						<itemstyle cssclass="ibn-vb4"></itemstyle>
						<headerstyle cssclass="ibn-vh4"></headerstyle>
						<itemtemplate>
							<%# GetTitle
									(
										(int)DataBinder.Eval(Container.DataItem, "ItemId"),
										DataBinder.Eval(Container.DataItem, "Title").ToString(),
										(int)DataBinder.Eval(Container.DataItem, "ItemType"),
										DataBinder.Eval(Container.DataItem, "GroupName"),
										(int)DataBinder.Eval(Container.DataItem, "StateId")
									)
							%>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Type">
						<itemstyle cssclass="ibn-vb4"></itemstyle>
						<headerstyle cssclass="ibn-vh4"></headerstyle>
						<itemtemplate>
							<%# GetType
									(
										(int)DataBinder.Eval(Container.DataItem, "ItemType"),
										(int)DataBinder.Eval(Container.DataItem, "StateId")
									)
							%>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Resources">
						<itemstyle cssclass="ibn-vb4" width="200px"></itemstyle>
						<headerstyle cssclass="ibn-vh4" width="200px"></headerstyle>
						<itemtemplate>
							<%# GetResources
									(
										(int)DataBinder.Eval(Container.DataItem, "CompletionTypeId"),
										(int)DataBinder.Eval(Container.DataItem, "ItemType"),
										(int)DataBinder.Eval(Container.DataItem, "ItemId"),
										(int)DataBinder.Eval(Container.DataItem, "StateId")
									)
							%>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Completed">
						<itemstyle cssclass="ibn-vb4" width="110px"></itemstyle>
						<headerstyle cssclass="ibn-vh4" width="110px"></headerstyle>
						<itemtemplate>
							<%# GetPercentCompleted
									(
										(int)DataBinder.Eval(Container.DataItem, "ItemType"),
										(int)DataBinder.Eval(Container.DataItem, "PercentCompleted"),
										(int)DataBinder.Eval(Container.DataItem, "StateId")
									)
							%>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Start" SortExpression="StartDate">
						<itemstyle cssclass="ibn-vb4" width="80px"></itemstyle>
						<headerstyle cssclass="ibn-vh4" width="80px"></headerstyle>
						<itemtemplate>
							<%# GetDate
									(
										DataBinder.Eval(Container.DataItem, "StartDate"),
										(int)DataBinder.Eval(Container.DataItem, "StateId")
									)
							%>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Finish" SortExpression="FinishDate">
						<itemstyle cssclass="ibn-vb4" width="80px"></itemstyle>
						<headerstyle cssclass="ibn-vh4" width="80px"></headerstyle>
						<itemtemplate>
							<%# GetDate
									(
										DataBinder.Eval(Container.DataItem, "FinishDate"),
										(int)DataBinder.Eval(Container.DataItem, "StateId")
									)
							%>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="ActualStart" SortExpression="ActualStartDate">
						<itemstyle cssclass="ibn-vb4" width="110px"></itemstyle>
						<headerstyle cssclass="ibn-vh4" width="110px"></headerstyle>
						<itemtemplate>
							<%# GetDate
									(
										DataBinder.Eval(Container.DataItem, "ActualStartDate"),
										(int)DataBinder.Eval(Container.DataItem, "StateId")
									)
							%>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="ActualFinish" SortExpression="ActualFinishDate">
						<itemstyle cssclass="ibn-vb4" width="110px"></itemstyle>
						<headerstyle cssclass="ibn-vh4" width="110px"></headerstyle>
						<itemtemplate>
							<%# GetDate
									(
										DataBinder.Eval(Container.DataItem, "ActualFinishDate"),
										(int)DataBinder.Eval(Container.DataItem, "StateId")
									)
							%>
						</itemtemplate>
					</asp:TemplateColumn>
				</Columns>
			</dg:DataGridExtended>
			<div style="text-align:center; padding-bottom:5px;">
				<ibn:LegendControl runat="server" id="MainLegendControl"></ibn:LegendControl>
			</div>
		</td>
	</tr>
</table>
<asp:LinkButton ID="lbChangeViewDef" runat="server" Visible="false"></asp:LinkButton>
<asp:LinkButton ID="lbChangeViewDates" runat="server" Visible="false"></asp:LinkButton>
<asp:Button ID="btnApplyG" Runat="server" Visible="false" CssClass="text"></asp:Button>
