<%@ Reference Control="~/Modules/TimeControl.ascx" %>
<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.UI.Web.TimeTracking.Modules.TimeTrackingAllRows" Codebehind="TimeTrackingAllRows.ascx.cs" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\..\Modules\BlockHeader.ascx" %>
<%@ register TagPrefix="btn" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<%@ Register TagPrefix="ibn" TagName="DTCC" src="..\..\Modules\TimeControl.ascx" %>
<style type="text/css">
	.cellstyle {font-family: verdana;font-size: .68em;
				vertical-align: center;height:26px;border-bottom:1px #e4e4e4 solid}
	.cellstyle2 {font-family: verdana;font-size: .68em; background:#f2f2f2;
				vertical-align: center;height:100%;border-bottom:1px #e4e4e4 solid}
	.cellstyle3 {font-family: verdana;font-size: .68em; background:#eaeaea;
				vertical-align: center;height:23px;border-bottom:1px #e4e4e4 solid}
	.alt-tblstyle {height:100%; width:64px; 
			background:#f2f2f2; cellpadding:0; cellspacing:0;border:0px}
	.alt-tblstyle2 {height:100%; width:100%; 
			background:#f2f2f2; cellpadding:0; cellspacing:0;border:0px}
	.tbl-wstyle {height:100%; width:100%; 
			background:#ffffff; cellpadding:0; cellspacing:0;border:0px}
	.headstyle {padding-top:5px;padding-bottom:5px; border-bottom:1px #e4e4e4 solid}
	.headstyle2 {padding-top:5px;padding-bottom:5px}
</style>
<table class="ibn-stylebox" cellspacing="0" cellpadding="0" width="100%" border="0" style="MARGIN:0px">
	<tr>
		<td class="ms-toolbar">
			<ibn:blockheader id="SH" runat="server" title="ToolBar" />
		</td>
	</tr>
	<tr>
		<td class="ibn-propertysheet">
			<asp:DataGrid id="dgTimesheet" runat="server" AllowPaging="False" allowsorting="True" cellpadding="0" gridlines="Horizontal" CellSpacing="0" borderwidth="0px" autogeneratecolumns="False" width="100%" ShowFooter="False">
				<columns>
					<asp:boundcolumn visible="False" datafield="ProjectId" ReadOnly="True"></asp:boundcolumn>
					<asp:TemplateColumn>
						<headerstyle cssclass="ibn-vh2 headstyle2"></headerstyle>
						<itemstyle cssclass="cellstyle"></itemstyle>
						<ItemTemplate>
							<%# GetTitle(
								(bool)DataBinder.Eval(Container.DataItem,"IsProject"),
								(int)DataBinder.Eval(Container.DataItem,"ProjectId"),
								DataBinder.Eval(Container.DataItem,"ObjectName").ToString())
							%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<headerstyle Width="350px"></headerstyle>
						<itemstyle cssclass="cellstyle" Width="420px"></itemstyle>
						<HeaderTemplate>
							<table border=0 cellpadding=0 cellspacing=0 width="420px">
								<tr class="ibn-vh2 headstyle2">
									<td width=60px>
										<asp:Label ID="Day1" Runat=server Text = <%# sDays[0]%>></asp:Label>
									</td>
									<td width=60px>
										<asp:Label ID="Day2" Runat=server Text = <%# sDays[1]%>></asp:Label>
									</td>
									<td width=60px>
										<asp:Label ID="Day3" Runat=server Text = <%# sDays[2]%>></asp:Label>
									</td>
									<td width=60px>
										<asp:Label ID="Day4" Runat=server Text = <%# sDays[3]%>></asp:Label>
									</td>
									<td width=60px>
										<asp:Label ID="Day5" Runat=server Text = <%# sDays[4]%>></asp:Label>
									</td>
									<td width=60px>
										<asp:Label ID="Day6" Runat=server Text = <%# sDays[5]%>></asp:Label>
									</td>
									<td width=60px>
										<asp:Label ID="Day7" Runat=server Text = <%# sDays[6]%>></asp:Label>
									</td>
								</tr>
							</table>
						</HeaderTemplate>
						<ItemTemplate>
							<table border=0 cellpadding=0 cellspacing=0 width="420px" class='<%# (bool)DataBinder.Eval(Container.DataItem, "IsProject") ? "alt-tblstyle2" : ""%>'>
								<tr>
									<td width="59px" nowrap>
										<ibn:DTCC id="dtcD0" Value='<%# GetDateTimeFromMinutes((int)DataBinder.Eval(Container.DataItem,"Minutes1")) %>' Visible='<%#(bool)DataBinder.Eval(Container.DataItem, "IsProject") ? false : true%>' Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ControlViewType="OnlyTime" ShowTime=HM TimeSpin="true" HourSpinUnLimited="True" ViewStartDate="True" runat="server" />
									</td>
									<td width=59px>
										<ibn:DTCC id="dtcD1" Value='<%# GetDateTimeFromMinutes((int)DataBinder.Eval(Container.DataItem,"Minutes2")) %>' Visible='<%#(bool)DataBinder.Eval(Container.DataItem, "IsProject") ? false : true%>' Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ControlViewType="OnlyTime" ShowTime=HM TimeSpin="true" HourSpinUnLimited="True" ViewStartDate="True" runat="server" />
									</td>
									<td width=59px>
										<ibn:DTCC id="dtcD2" Value='<%# GetDateTimeFromMinutes((int)DataBinder.Eval(Container.DataItem,"Minutes3")) %>' Visible='<%#(bool)DataBinder.Eval(Container.DataItem, "IsProject") ? false : true%>' Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ControlViewType="OnlyTime" ShowTime=HM TimeSpin="true" HourSpinUnLimited="True" ViewStartDate="True" runat="server" />
									</td>
									<td width=59px>
										<ibn:DTCC id="dtcD3" Value='<%# GetDateTimeFromMinutes((int)DataBinder.Eval(Container.DataItem,"Minutes4")) %>' Visible='<%#(bool)DataBinder.Eval(Container.DataItem, "IsProject") ? false : true%>' Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ControlViewType="OnlyTime" ShowTime=HM TimeSpin="true" HourSpinUnLimited="True" ViewStartDate="True" runat="server" />
									</td>
									<td width=59px>
										<ibn:DTCC id="dtcD4" Value='<%# GetDateTimeFromMinutes((int)DataBinder.Eval(Container.DataItem,"Minutes5")) %>' Visible='<%#(bool)DataBinder.Eval(Container.DataItem, "IsProject") ? false : true%>' Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ControlViewType="OnlyTime" ShowTime=HM TimeSpin="true" HourSpinUnLimited="True" ViewStartDate="True" runat="server" />
									</td>
									<td width=59px>
										<ibn:DTCC id="dtcD5" Value='<%# GetDateTimeFromMinutes((int)DataBinder.Eval(Container.DataItem,"Minutes6")) %>' Visible='<%#(bool)DataBinder.Eval(Container.DataItem, "IsProject") ? false : true%>' Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ControlViewType="OnlyTime" ShowTime=HM TimeSpin="true" HourSpinUnLimited="True" ViewStartDate="True" runat="server" />
									</td>
									<td width=59px>
										<ibn:DTCC id="dtcD6" Value='<%# GetDateTimeFromMinutes((int)DataBinder.Eval(Container.DataItem,"Minutes7")) %>' Visible='<%#(bool)DataBinder.Eval(Container.DataItem, "IsProject") ? false : true%>' Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ControlViewType="OnlyTime" ShowTime=HM TimeSpin="true" HourSpinUnLimited="True" ViewStartDate="True" runat="server" />
									</td>
									<td width=6px>
										<asp:label id="lblError" CssClass="text" style="color:red;padding-right: 10px" Runat="server" />
									</td>
								</tr>
							</table>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="ObjectId" Visible="False" ReadOnly="True"></asp:BoundColumn>
					<asp:BoundColumn DataField="ObjectTypeId" Visible="False" ReadOnly="True"></asp:BoundColumn>
				</columns>
			</asp:DataGrid>
		</td>
	</tr>
	<tr>
		<td align="right" height="50" style="PADDING-RIGHT:20">	
			<asp:label id="lbCheckDays" CssClass="text" style="color:red;padding-right: 10px" Runat="server" />
			<btn:imbutton class="text" id="btnSave" Runat="server" style="width:105px;" CustomImage="../layouts/images/saveitem.gif" onserverclick="btnSave_ServerClick"></btn:imbutton>&nbsp;&nbsp;
			<btn:imbutton class="text" id="btnCancel" Runat="server" style="width:105px;" IsDecline="true" CausesValidation="false" onserverclick="btnCancel_ServerClick"></btn:imbutton>
		</td>
	</tr>
</table>
