<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Reference Control="~/Modules/BlockHeaderLightWithMenu.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.UI.Web.TimeTracking.Modules.TimeTrackingInfo" Codebehind="TimeTrackingInfo.ascx.cs" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\..\Modules\BlockHeaderLightWithMenu.ascx" %>
<TABLE cellSpacing="0" cellPadding="0" width="100%" border="0" style="margin-top:5px;">
	<tr>
		<td><ibn:blockheader id="tbTimesheet" runat="server" /></td>
	</tr>
</TABLE>
<TABLE cellSpacing="0" cellPadding="0" width="100%" border="0" class="ibn-stylebox-light ibn-propertysheet" >
	<tr>
		<td>
			<asp:DataGrid Runat="server" ID="dgTimesheet" AutoGenerateColumns="False" AllowSorting="False" cellpadding="3" gridlines="None" CellSpacing="3" borderwidth="0px" Width="100%">
				<ItemStyle CssClass="ibn-propertysheet"></ItemStyle>
				<HeaderStyle CssClass="ibn-vh2"></HeaderStyle>
				<PagerStyle Visible="False"></PagerStyle>
				<Columns>
					<asp:TemplateColumn>
						<ItemTemplate>
							<%# GetWeekString((DateTime)DataBinder.Eval(Container.DataItem,"StartDate")) %>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderStyle-Width="90px" ItemStyle-HorizontalAlign="Center" HeaderStyle-HorizontalAlign="Center">
						<ItemTemplate>
							<%# Mediachase.UI.Web.Util.CommonHelper.GetHours((int)DataBinder.Eval(Container.DataItem,"Total")) %>
						</ItemTemplate>
					</asp:TemplateColumn>
				</Columns>
			</asp:DataGrid>
		</td>
	</tr>
	<tr>
		<td class="ibn-bottomBlock" runat="server" id="tdTotal" height="30">
			<table cellpadding="0" cellspacing="0" width="100%" class="text">
				<tr>
					<td width="33%" align="center">
						<asp:Label Runat="server" ID="lblTaskTimeTitle" CssClass="ibn-legend-greyblack"></asp:Label>
						<asp:Label Runat="server" ID="lblTaskTime"></asp:Label>
					</td>
					<td width="34%" align="center">
						<span class="ibn-legend-greyblack"><%= LocRM.GetString("spentTime")%>:</span> 
						<asp:Label Runat="server" ID="lblSpentTime"></asp:Label>
					</td>
					<td width="33%" align="center">
						<span class="ibn-legend-greyblack"><%= LocRM.GetString("approvedTime")%>:</span> 
						<asp:Label Runat="server" ID="lblApprovedTime"></asp:Label>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</TABLE>

