<%@ Reference Control="~/Modules/DateTimeClientControl.ascx" %>
<%@ Reference Control="~/Modules/PageViewMenu.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.UI.Web.TimeTracking.Modules.TimeTrackingPendingListForApprove" Codebehind="TimeTrackingPendingListForApprove.ascx.cs" %>
<%@ Register TagPrefix="ibn" TagName="DTCC" src="..\..\Modules\DateTimeClientControl.ascx" %>
<script language=javascript>
function CollapseExpand(CEType, UserId)
{
	document.forms[0].<%=hdnUserId.ClientID %>.value = UserId;
	document.forms[0].<%=hdnCollapseExpand.ClientID %>.value = CEType;
	<%=Page.GetPostBackClientEvent(lbCollapseExpandUsr,"") %>
}
function ShowApproveDenyWindow(name,wdth,hght)
{
	var w = wdth;
	var h = hght;
	var l = (screen.width - w) / 2;
	var t = (screen.height - h) / 2;
	winprops = 'resizable=0, height='+h+',width='+w+',top='+t+',left='+l;
	var f = window.open(name, "Window", winprops);
}
</script>
<TABLE class="text" cellSpacing="0" cellPadding="0" border="0" width="100%">
	<tr>
		<td class="ibn-navline ibn-alternating text" 
			style="PADDING:7px">
			<b><span style="width:80px"><%=LocRM.GetString("Project")%>:</b></span>
			<asp:Label Runat=server ID="lblProject" CssClass="text"></asp:Label>
			<br><br>
			<b><span style="width:80px"><%=LocRM.GetString("Week")%>:</b></span>
			<asp:Label Runat=server ID="lblWeek" CssClass="text"></asp:Label>
		</td>
	</tr>
	<tr>
		<td style="PADDING-BOTTOM:5px" class="ibn-propertysheet" valign="top">
			<asp:DataGrid id="dgTimesheet" runat="server" AllowPaging="False" cellpadding="0" gridlines="Horizontal" CellSpacing="0" borderwidth="0px" autogeneratecolumns="False" width="100%">
				<columns>
					<asp:boundcolumn visible="False" datafield="UserId" ReadOnly="True"></asp:boundcolumn>
					<asp:TemplateColumn>
						<headerstyle cssclass="ibn-vh2 headstyle"></headerstyle>
						<itemstyle cssclass="cellstyle"></itemstyle>
						<ItemTemplate>
							<%# GetTitle(
								(bool)DataBinder.Eval(Container.DataItem,"IsGroup"),
								(bool)DataBinder.Eval(Container.DataItem,"IsCollapsed"),
								(int)DataBinder.Eval(Container.DataItem,"UserId"),
								DataBinder.Eval(Container.DataItem,"UserName").ToString(),
								DataBinder.Eval(Container.DataItem,"Title").ToString())
							%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<headerstyle cssclass="ibn-vh2 headstyle" Width="200px"></headerstyle>
						<itemstyle cssclass="cellstyle" Width="200px"></itemstyle>
						<ItemTemplate>
							<%# (bool)DataBinder.Eval(Container.DataItem, "IsGroup") ? 
								"<table class='alt-tblstyle' style='width:204px'><tr><td>&nbsp;</td></tr></table>" :
								"<table width='100%' height='100%'><tr><td valign=top class=text>" + DataBinder.Eval(Container.DataItem,"UserComments") + "</td></tr></table>" %>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<headerstyle cssclass="ibn-vh2 headstyle" Width="50px"></headerstyle>
						<itemstyle cssclass="cellstyle"></itemstyle>
						<ItemTemplate>
							<%# GetTotalString(
								(bool)DataBinder.Eval(Container.DataItem, "IsGroup"),
								DataBinder.Eval(Container.DataItem,"Total"),
								DataBinder.Eval(Container.DataItem,"Day1"),
								DataBinder.Eval(Container.DataItem,"Day2"),
								DataBinder.Eval(Container.DataItem,"Day3"),
								DataBinder.Eval(Container.DataItem,"Day4"),
								DataBinder.Eval(Container.DataItem,"Day5"),
								DataBinder.Eval(Container.DataItem,"Day6"),
								DataBinder.Eval(Container.DataItem,"Day7"))
							%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<headerstyle cssclass="ibn-vh2 headstyle" Width="70px"></headerstyle>
						<itemstyle cssclass="cellstyle"></itemstyle>
						<ItemTemplate>
							<%# (bool)DataBinder.Eval(Container.DataItem, "IsGroup") ? 
								"<table class='alt-tblstyle' style='width:100%;'><tr><td class='text'><b>"+Mediachase.UI.Web.Util.CommonHelper.GetHours((int)DataBinder.Eval(Container.DataItem,"TotalApproved"))+"</b></td></tr></table>" :
								"<table width='100%' height='100%'><tr><td valign=top class=text>" + Mediachase.UI.Web.Util.CommonHelper.GetHours((int)DataBinder.Eval(Container.DataItem,"TotalApproved")) + "</td></tr></table>" %>
						</ItemTemplate>
						<EditItemTemplate>
							<ibn:DTCC id="dtc" Value='<%# GetDateTimeFromMinutes((int)DataBinder.Eval(Container.DataItem,"TotalApproved")) %>' Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ControlViewType="OnlyTime" ShowTime=HM TimeSpin="true" HourSpinUnLimited="True" ViewStartDate="True" PostBackInit="True" runat="server" />
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<headerstyle cssclass="ibn-vh2 headstyle" Width="60px"></headerstyle>
						<itemstyle cssclass="cellstyle" Width="60px"></itemstyle>
						<ItemTemplate>
							<%# (bool)DataBinder.Eval(Container.DataItem, "IsGroup") ? 
								"<table class='alt-tblstyle'><tr><td class='text'><b>"+((decimal)DataBinder.Eval(Container.DataItem,"Rate")).ToString("f")+"</b></td></tr></table>" :
								"<table width='100%' height='100%'><tr><td valign=top class=text>" + ((decimal)DataBinder.Eval(Container.DataItem,"Rate")).ToString("f") + "</td></tr></table>" %>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:TextBox CssClass ="text" Runat="server" ID="txtRate" Width="50px" Text='<%# ((decimal)DataBinder.Eval(Container.DataItem,"Rate")).ToString("f") %>'>
							</asp:TextBox><asp:RequiredFieldValidator ErrorMessage="*" Display="Dynamic" ControlToValidate="txtRate" Runat="server" ID="rfRate"></asp:RequiredFieldValidator>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<headerstyle cssclass="ibn-vh2 headstyle" Width="50px"></headerstyle>
						<itemstyle cssclass="cellstyle"></itemstyle>
						<ItemTemplate>
							<%# (bool)DataBinder.Eval(Container.DataItem, "IsGroup") ? 
								"<table class='alt-tblstyle' style='width:100%;'><tr><td class='text'><b>"+((decimal)DataBinder.Eval(Container.DataItem,"Cost")).ToString("f")+"</b></td></tr></table>" :
								"<table width='100%' height='100%'><tr><td valign=top class=text>" + ((decimal)DataBinder.Eval(Container.DataItem,"Cost")).ToString("f") + "</td></tr></table>" %>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<headerstyle cssclass="ibn-vh2 headstyle" Width="50px"></headerstyle>
						<itemstyle HorizontalAlign=Right cssclass="cellstyle2"></itemstyle>
						<ItemTemplate>
							<table class='tbl-wstyle' style='display:<%#(!(bool)DataBinder.Eval(Container.DataItem, "IsGroup")) ? "block" : "none"%>'>
							<tr><td align=right>
							<asp:imagebutton id="ibEdit" runat="server" borderwidth="0" title='<%# LocRM.GetString("Edit")%>' imageurl="../../layouts/images/Edit.gif" commandname="Edit" causesvalidation="False">
							</asp:imagebutton>
							</td></tr></table>
							<table width="100%" style='display:<%#((bool)DataBinder.Eval(Container.DataItem, "IsGroup")) ? "block" : "none"%>'>
							<tr><td align=right><nobr>
							<%# (Mediachase.IBN.Business.SpreadSheet.ProjectSpreadSheet.GetFactAvailableRows(int.Parse(Request["ProjectId"])).Length == 0) 
								? String.Empty
								: GetApproveString((int)DataBinder.Eval(Container.DataItem,"UserId"), (int)DataBinder.Eval(Container.DataItem,"ObjectId"), (int)DataBinder.Eval(Container.DataItem,"ObjectTypeId"), (decimal)DataBinder.Eval(Container.DataItem,"Cost"))
							%>&nbsp;
							<%# GetDenyString((int)DataBinder.Eval(Container.DataItem,"UserId"))%>
							</nobr>
							</td></tr>
							</table>
						</ItemTemplate>
						<EditItemTemplate>
							<table class='tbl-wstyle' style='display:<%#(bool)DataBinder.Eval(Container.DataItem, "IsGroup") ? "none" : "block"%>'>
							<tr><td><nobr>
							<asp:imagebutton id="ibSave" runat="server" borderwidth="0" title='<%# LocRM.GetString("Save")%>' imageurl="../../layouts/images/Saveitem.gif" commandname="Update" causesvalidation="True">
							</asp:imagebutton>&nbsp;
							<asp:imagebutton id="ibCancel" runat="server" borderwidth="0" imageurl="../../layouts/images/cancel.gif" title='<%# LocRM.GetString("Cancel")%>' commandname="Cancel" causesvalidation="False">
							</asp:imagebutton></nobr>
							</td></tr>
							</table>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:boundcolumn visible="False" datafield="ObjectTypeId" ReadOnly="True"></asp:boundcolumn>
					<asp:boundcolumn visible="False" datafield="ObjectId" ReadOnly="True"></asp:boundcolumn>
					<asp:boundcolumn visible="False" datafield="ObjectId" ReadOnly="True"></asp:boundcolumn>
				</Columns>
			</asp:DataGrid>
		</td>
	</tr>
</table>
<input id="hdnCollapseExpand" type="hidden" runat="server" />
<input id="hdnUserId" type="hidden" runat="server" />
<asp:LinkButton id="lbCollapseExpandUsr" runat="server" Visible="False" onclick="Collapse_Expand_Click"></asp:LinkButton>