<%@ Reference Control="~/Modules/DateTimeClientControl.ascx" %>
<%@ Page language="c#" Inherits="Mediachase.UI.Web.Admin.LdapSettingsEdit" Codebehind="LdapSettingsEdit.aspx.cs" %>
<%@ register TagPrefix="mc" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<%@ Register TagPrefix="ibn" TagName="DTCC" src="../Modules/DateTimeClientControl.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title><%=sTitle%></title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link href='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Layouts/Styles/dialog.css")%>' rel="stylesheet" type="text/css">
	<link href='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Layouts/Styles/ibn.css")%>' rel="stylesheet">
	<LINK href='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Layouts/Styles/windows.css")%>' type="text/css" rel="stylesheet">
	<LINK href='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Layouts/Styles/mcCalendClient.css")%>' rel="stylesheet">
	<script src='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Scripts/buttons.js")%>'></script>
	<script src='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Scripts/browser.js")%>'></script>
	<script language="javascript">
			function disableEnterKey() 
			{ 
				try {
					if (window.event.keyCode == 13 && window.event.srcElement.type != "textarea")
						window.event.keyCode = 0;
				}
				catch (e) {}
			}
	</script>
  </head>
  <body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0" style="margin:0px;background-color:#ffffff">
	
    <mc:FixedForm id="frmMain" method="post" runat="server" onkeypress="disableEnterKey()" bgcolor="#ece9d8" enctype="multipart/form-data">
		<table border="0" cellpadding="7" cellspacing="0" width="95%" class="text">
			<tr>
				<td width="100px"><b><%=LocRM.GetString("tTitle")%>:</b></td>
				<td>
					<asp:TextBox ID="txtTitle" Runat="server" Width="200px"></asp:TextBox>
					<asp:RequiredFieldValidator ID="rfTitle" Runat="server" ErrorMessage="*" Display="Dynamic" ControlToValidate="txtTitle"></asp:RequiredFieldValidator>
				</td>
			</tr>
			<tr>
				<td><b><%=LocRM.GetString("tDomain")%>:</b></td>
				<td>
					<asp:TextBox ID="txtDomain" Runat="server" Width="200px"></asp:TextBox>
					<asp:RequiredFieldValidator ID="rfDomain" Runat="server" ErrorMessage="*" Display="Dynamic" ControlToValidate="txtDomain"></asp:RequiredFieldValidator>
				</td>
			</tr>
			<tr>
				<td><b><%=LocRM.GetString("tUserName")%>:</b></td>
				<td>
					<asp:TextBox ID="txtUser" Runat="server" Width="200px"></asp:TextBox>
					<asp:RequiredFieldValidator ID="rfUser" Runat="server" ErrorMessage="*" Display="Dynamic" ControlToValidate="txtUser"></asp:RequiredFieldValidator>
				</td>
			</tr>
			<tr>
				<td><b><%=LocRM.GetString("tPassword")%>:</b></td>
				<td>
					<asp:TextBox ID="txtPass" Runat="server" TextMode="Password" Width="200px"></asp:TextBox>
					<asp:RequiredFieldValidator ID="rfPass" Runat="server" ErrorMessage="*" Display="Dynamic" ControlToValidate="txtPass"></asp:RequiredFieldValidator>
				</td>
			</tr>
			<tr>
				<td><b><%=LocRM.GetString("tFilter")%>:</b></td>
				<td>
					<asp:TextBox ID="txtFilter" Runat="server" Width="200px"></asp:TextBox>
					<asp:RequiredFieldValidator ID="rfFilter" Runat="server" ErrorMessage="*" Display="Dynamic" ControlToValidate="txtFilter"></asp:RequiredFieldValidator>
				</td>
			</tr>
			<tr>
				<td><b>IBN Key:</b></td>
				<td>
					<asp:DropDownList ID="ddIBNKey" Runat="server" Width="200px"></asp:DropDownList>
				</td>
			</tr>
			<tr>
				<td><b>LDAP Key:</b></td>
				<td>
					<asp:DropDownList ID="ddLdap" Runat="server" Width="95px"></asp:DropDownList>
					<asp:TextBox ID="txtLdap" Runat="server" Width="100px"></asp:TextBox>
					<asp:RequiredFieldValidator ID="rfLdap" Runat="server" ErrorMessage="*" Display="Dynamic" ControlToValidate="txtLdap"></asp:RequiredFieldValidator>
				</td>
			</tr>
			<tr>
				<td></td>
				<td><asp:CheckBox ID="cbActivate" Runat="server"></asp:CheckBox></td>
			</tr>
			<tr>
				<td></td>
				<td><asp:CheckBox ID="cbDeactivate" Runat="server"></asp:CheckBox></td>
			</tr>
			<tr>
				<td colspan="2">
					<fieldset>
						<legend id="lgdAutosync" runat="server">
							<asp:CheckBox ID="cbAutosync" AutoPostBack="True" Runat="server"></asp:CheckBox>
						</legend>
						<table cellpadding="5" cellspacing="0" width="100%" border="0">
							<tr>
								<td width="100px"><b><%=LocRM.GetString("tStart")%>:</b></td>
								<td><ibn:DTCC id="dtcStart" ShowTime="HM" TimeSpin="True" Minutes_Step="5" Drop_gAlign="center" Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" SelectionDateType="Day" ViewStartDate="True" RequiredField="True" runat="server"></ibn:DTCC></td>
							</tr>
							<tr>
								<td width="100px"><b><%=LocRM.GetString("tInterval")%>:</b></td>
								<td>
									<asp:TextBox ID="txtInterval" Runat="server" Width="200px"></asp:TextBox>
									<asp:RequiredFieldValidator ID="rfInterval" Runat="server" ErrorMessage="*" Display="Dynamic" ControlToValidate="txtInterval"></asp:RequiredFieldValidator>
									<asp:CompareValidator ID="cvInterval" Runat="server" Display="Dynamic" ErrorMessage="*" ControlToValidate="txtInterval" Operator="GreaterThanEqual" Type="Integer" ValueToCompare="0"></asp:CompareValidator>
								</td>
							</tr>
						</table>
					</fieldset>
				</td>
			</tr>
			<tr height="50px" valign="bottom">
				<td align="right" style="padding-right:10px" colspan="2">
					<mc:ImButton runat="server" class='text'  ID="imbSave" CustomImage="../layouts/images/saveitem.gif" style="width:105px"></mc:ImButton>&nbsp;
					<mc:ImButton runat="server" class='text' ID="imbCancel" CustomImage="../layouts/images/cancel.gif" onclick="javascript:window.close();" style="width:105px" CausesValidation="false"></mc:ImButton>
				</td>
			</tr>
		</table>
		<script language="javascript">
			function ChangeLdap(obj)
			{
				document.getElementById('<%=txtLdap.ClientID%>').value = obj.value;
			}
		</script>
    </mc:FixedForm>
	
  </body>
</html>
